Module ij
Package ij.plugin

# Class JavaScriptEvaluator

java.lang.Object
ij.plugin.JavaScriptEvaluator

All Implemented Interfaces:
  `PlugIn`, `Runnable`

public class JavaScriptEvaluator extends Object implements PlugIn, Runnable
Implements the text editor's Macros/Run command, and the IJ.runMacroFile() method, when the file name ends with ".js".

## Constructor Summary

Constructors
Constructor
Description
`JavaScriptEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`eval(String script)`
`void`
`run()`
`void`
`run(String script)`
This method is called when the plugin is loaded.
`String`
`run(String script, String arg)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JavaScriptEvaluator

public JavaScriptEvaluator()

## Method Details

### run

public void run(String script)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### run

public String run(String script, String arg)

### eval

public String eval(String script)

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`